> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Internal Transfer

> Use this API to request an internal transfer at Cashfree. The internal transfer API is useful for multiple Payouts accounts. The API response will either result in an ERROR or SUCCESS response.

Please use this Authorization token in headers to call any payout API (Refresh this page if the token is expired)

<iframe src="https://www.cashfree.com/devstudio/preview/payouts/embed/bearerToken" width="600" />


## OpenAPI

````yaml post /payout/v1/internalTransfer
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1/internalTransfer:
    post:
      summary: Internal Transfer
      description: >-
        Use this API to request an internal transfer at Cashfree. The internal
        transfer API is useful for multiple Payouts accounts. The API response
        will either result in an ERROR or SUCCESS response.
      operationId: internal-transfer1
      parameters:
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1_internalTransfer_body'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_18'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_404'
        '422':
          description: '422'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_422_1'
      deprecated: false
      security: []
components:
  schemas:
    v1_internalTransfer_body:
      required:
        - amount
        - rechargeAccount
      type: object
      properties:
        amount:
          type: number
          description: Amount to be transferred. Number (>=1)
          format: float
        rechargeAccount:
          type: string
          description: Cashfree internal recharge account number. Alphanumeric allowed
        transferId:
          type: string
          description: >-
            A unique ID to identify this transfer. Alphanumeric, hyphen and
            underscore (_) allowed (40 character limit). If the value is not
            passed, the id will be autogenerated.
    inline_response_200_18:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: >-
            RefId-a0302c78d13142b89d85af472961901528/006291823001146-Internal
            Fund Transfer
        data:
          $ref: '#/components/schemas/inline_response_200_18_data'
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    inline_response_404:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '404'
        message:
          type: string
          example: Recharge Account not found
    inline_response_422_1:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '422'
        message:
          type: string
          example: Account not configured. Please reach out to accoount manager
    inline_response_200_18_data:
      type: object
      properties:
        transferId:
          type: string
          example: a0302c78d13142b89d85af472961901528

````